> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/zetachain/cosmos-gov-v1-proposals-proposal_id-votes.md).

# /cosmos/gov/v1/proposals/{proposal\_id}/votes

Votes queries votes of a given proposal.

#### **Parameters:**

**proposal\_id - string**, proposal\_id defines the unique id of the proposal.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://zetachain.blockpi.network/lcd/v1/<your-api-key>/cosmos/gov/v1/proposals/1/votes

// Result
{
    "votes": [  ],
    "pagination": {
        "next_key": null,
        "total": "0"
    }
}
```

{% endcode %}
